<?php
/**
 * Genesis Framework.
 *
 * WARNING: This file is part of the core Genesis Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package StudioPress\Genesis
 * @author  StudioPress
 * @license GPL-2.0+
 * @link    https://my.studiopress.com/themes/genesis/
 */

?>
<h2><?php esc_html_e( 'Author Archive SEO Settings', 'genesis' ); ?></h2>
<p><span class="description"><?php esc_html_e( 'These settings apply to this author\'s archive pages.', 'genesis' ); ?></span></p>
<table class="form-table">
	<tbody>
		<tr>
			<th scope="row"><label for="doctitle"><?php esc_html_e( 'Custom Document Title', 'genesis' ); ?></label></th>
			<td>
				<input name="genesis-meta[doctitle]" id="genesis-meta[doctitle]" type="text" value="<?php echo esc_attr( get_the_author_meta( 'doctitle', $object->ID ) ); ?>" class="regular-text" />
			</td>
		</tr>

		<tr>
			<th scope="row"><label for="meta-description"><?php esc_html_e( 'Meta Description', 'genesis' ); ?></label></th>
			<td>
				<textarea name="genesis-meta[meta_description]" id="genesis-meta[meta-description]" rows="5" cols="30"><?php echo esc_textarea( get_the_author_meta( 'meta_description', $object->ID ) ); ?></textarea>
			</td>
		</tr>

		<tr>
			<th scope="row"><label for="meta-keywords"><?php esc_html_e( 'Meta Keywords', 'genesis' ); ?></label></th>
			<td>
				<input name="genesis-meta[meta_keywords]" id="genesis-meta[meta-keywords]" type="text" value="<?php echo esc_attr( get_the_author_meta( 'meta_keywords', $object->ID ) ); ?>" class="regular-text" /><br />
				<span class="description"><?php esc_html_e( 'Comma separated list', 'genesis' ); ?></span>
			</td>
		</tr>

		<tr>
			<th scope="row"><?php esc_html_e( 'Robots Meta', 'genesis' ); ?></th>
			<td>
				<label for="genesis-meta[noindex]"><input id="genesis-meta[noindex]" name="genesis-meta[noindex]" type="checkbox" value="1" <?php checked( get_the_author_meta( 'noindex', $object->ID ) ); ?> />
				<?php
				/* translators: Meta noindex attribute. */
				printf( esc_html__( 'Apply %s to this archive?', 'genesis' ), genesis_code( 'noindex' ) );
				?>
				</label>
				<br />

				<label for="genesis-meta[nofollow]"><input id="genesis-meta[nofollow]" name="genesis-meta[nofollow]" type="checkbox" value="1" <?php checked( get_the_author_meta( 'nofollow', $object->ID ) ); ?> />
				<?php
				/* translators: Meta nofollow attribute. */
				printf( esc_html__( 'Apply %s to this archive?', 'genesis' ), genesis_code( 'nofollow' ) );
				?>
				</label><br />

				<label for="genesis-meta[noarchive]"><input id="genesis-meta[noarchive]" name="genesis-meta[noarchive]" type="checkbox" value="1" <?php checked( get_the_author_meta( 'noarchive', $object->ID ) ); ?> />
				<?php
				/* translators: Meta noarchive attribute. */
				printf( esc_html__( 'Apply %s to this archive?', 'genesis' ), genesis_code( 'noarchive' ) );
				?>
				</label>
			</td>
		</tr>
	</tbody>
</table>
